Subject: Re: linux-next: manual merge of the moduleh tree with the arm tree

From: Russell King <[email-masked]>
Date: Thu, 25 Aug 2011 17:39:01 +0100

On Thu, Aug 25, 2011 at 12:33:51PM -0400, Paul Gortmaker wrote:
> On 11-08-25 01:17 AM, Stephen Rothwell wrote:
> > Hi Paul,
> > 
> > Today's linux-next merge of the moduleh tree got a conflict in
> > arch/arm/mach-bcmring/mm.c between commit 2d5e975b2194 ("ARM:
> > mach-bcmring: Setup consistent dma size at boot time") from the arm tree
> > and commit 9bc7d81e271e ("arm: fix implicit use of page.h in
> > mach-bcmring/mach-jornada") from the moduleh tree.
> 
> I can't really relocate the page.h inclusion in a trivial way to
> make this conflict go away.  But since the implicit header use fixes
> for arm are independent and don't actually depend on anything in the
> rest of the module.h tree, I can set about to giving these to Russell
> for his arm-next branch anytime.  I'll do that shortly.

For such a trivial conflict, I don't think we need to do anything.  Linus
has said publically that he likes to sort out conflicts as it allows him
to have a wider knowledge of what's going on in the kernel tree.

So, given that the fixup is soo obvious, I don't think we need to play
games redistributing patches - we just need to be aware of the conflict
and mention it to Linus when we merge.

-- 
Russell King
 Linux kernel    2.6 ARM Linux   - http://www.arm.linux.org.uk/
 maintainer of: